REM Delete old data
del /q structures.json
del /q allianceids.json
del /q oldsov.txt
move sov.txt oldsov.txt

REM Get today's structure and alliance data from CCP

curl.exe -s -k -o structures.json -X GET "https://esi.evetech.net/latest/sovereignty/structures/?datasource=tranquility" -H  "accept: application/json"
curl.exe -s -k -o allianceids.json -X GET "https://esi.evetech.net/latest/alliances/?datasource=tranquility" -H  "accept: application/json"

REM Process structure data

SovereigntySanitizerESI2.exe
SovChangeFinderESI2.exe

REM Process alliance data (and fetch the rest needed from CCP)

AllianceFetchBuilderESI.exe
call fetchAlliances.bat
AllianceSanitizerESI.exe

REM Copy things over to a separate folder because we're neat & tidy

copy updateSov.sql SQLoutput\updateSov.sql
copy updateSovChange.sql SQLoutput\updateSovChange.sql
copy updateAl.sql SQLoutput\updateAl.sql
copy structures.json F:\ServerFolders\MapData\Oldsovdata\20230205_struct.json
del /q updateAl.sql
del /q updateSov.sql
del /q updateSovChange.sql

REM Execute the MySQL scripts that actually insert the updated data into the DB

mysql.exe -f --user=root --password=[pass] eve < SQLoutput\updateSov.sql
mysql.exe -f --user=root --password=[pass] eve < SQLoutput\updateSovChange.sql
mysql.exe -f --user=root --password=[pass] eve < SQLoutput\updateAl.sql

REM Run the influence map generator

java -jar -Xss64m -Xmx256m EVEMapESI2.jar -user root -password [password] -isBatch true

REM Post-process the PNG file to make it losslessly smaller

pngcrush_1_8_11_w64.exe -reduce -m 113 influence.png output.png
advpng.exe -z -4 output.png
del /q influence.png
move output.png influence.png

REM Backup map to online storage

copy influence.png F:\ServerFolders\MapData\Oldmaps\20230205.png

REM Upload map to verite.space

curl --ssl-reqd -k -T influence.png -u [user]@verite.space:[pass] ftp://ftp.verite.space/influence/influence.png
curl --ssl-reqd -k -T influence.png -u [user]@verite.space:[pass] ftp://ftp.verite.space/influence/20230205.png
